mit ilogic Ordner erstellen / Inventor
nellicadelli 09. Sep. 2019, 11:01

Hallo Gemeinde,

ich möchte mit iLogic Bauteile auf der Platte abspeichern mit der Pfadangabe meiner Wahl, dabei soll auch vorher automatisch ein Ordner erstellt werden,mit dem Titel des Bauteils und dort soll die Datei mit Zeichnungsnummer als Dateiname dann rein.

neuer Pfadname auf Platte hab ich hinbekommen
Dateiname mit Property der Zeichnung hab ich hinbekommen

den Ordner vorher erstellen mit Titel der Datei krieg ich nicht mal ansatzweise hin.
Geht das überhaupt mit ilogic ?

Danke

Grüße
VO

JohannesW91 09. Sep. 2019, 11:17

Code:
If Not System.IO.Directory.Exists(PFAD) Then
    System.IO.Directory.CreateDirectory(PFAD)
End If

PFAD ist dabei der Dateipfad inkl. dem gewünschten neuen Ordner


Funktioniert zumindest bei mir, habs aber auch nur aus anderen Scripten kopiert.

nellicadelli 10. Sep. 2019, 15:12

ja danke,

den Titel der Datei brauch ich im Ordnernamen
keiner ne Idee?

Danke

Gruß

nellicadelli 10. Sep. 2019, 15:12

ja danke,

den Titel der Datei brauch ich im Ordnernamen
keiner ne Idee?

Danke

Gruß

JohannesW91 10. Sep. 2019, 15:20

Code:
Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = ThisDoc.Path
oFolder = oPath & "\" & oAsmName


If Not System.IO.Directory.Exists(oFolder) Then
    System.IO.Directory.CreateDirectory(oFolder)
End If


Ob das der eleganteste Weg ist, weiß ich nicht, aber es funktioniert

nellicadelli 10. Sep. 2019, 16:21

vielen Dank Johannes für die Inspiration

hab's dann so hingekriegt

Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = "C:\Test\"& iProperties.Value("Summary", "Title")& "\"

Gruß
VO

nellicadelli 10. Sep. 2019, 16:21

vielen Dank Johannes für die Inspiration

hab's dann so hingekriegt

Dim oAsmDoc As Document
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = oAsmDoc.DisplayName
oPath = "C:\Test\"& iProperties.Value("Summary", "Title")& "\"

Gruß
VO